function res = checkBound(body1,body2)
% res = 1 inside the boundary
% otherwise
global map;

bound = map{end};
res = 1;

% check for clockwise polygon
tf1 = ispolycw(bound(:,1),bound(:,2));
if ~tf1
    [a,b] = poly2cw(bound(:,1),bound(:,2));
    bound = [a,b];
end
tf2 = ispolycw(body1(:,1),body1(:,2));
if ~tf2
    [a,b] = poly2cw(body1(:,1),body1(:,2));
    body1 = [a,b];
end
tf3 = ispolycw(body2(:,1),body2(:,2));
if ~tf3
    [a,b] = poly2cw(body2(:,1),body2(:,2));
    body2 = [a,b];
end

% check for boundary collision

[x1,y1] = polybool('union',body1(:,1),body1(:,2),bound(:,1),bound(:,2));
z = [x1,y1];
[a1,a2] = poly2cw(z(:,1),z(:,2));
z = [a1,a2];

if (size(z,1) ~= 5)
    res = res *0;
else
    r1 = z(2:end,:) == bound(1:4,:);
    s1 = sum(sum(r1));

    if (s1 <8) %%|| (size(z,1) ~= 5)
        res = res*0;
    else
        [x2,y2] = polybool('union',body2(:,1),body2(:,2),bound(:,1),bound(:,2));
        z = [x2,y2];
        [a1,a2] = poly2cw(z(:,1),z(:,2));
        z = [a1,a2];
        
        if (size(z,1) ~= 5)
            res = res*0;
        else
            r2 = z(2:end,:) == bound(1:4,:);
            s2 = sum(sum(r2));

            if (s2 < 8)%% || (size(z,1) ~= 5)
                res = res * 0;
            else
                res = res * 1;
            end
        end


    end
end



end