function res = checkConvexBound()
% res = 1 no collision with bound
% res = 0 collides
global map convexHull;

bound = map{end};
res = 1;

% check for clockwise polygon
tf1 = ispolycw(bound(:,1),bound(:,2));
if ~tf1
    [a,b] = poly2cw(bound(:,1),bound(:,2));
    bound = [a,b];
end

% check for boundary collision

[x1,y1] = polybool('union',convexHull(:,1),convexHull(:,2),bound(:,1),bound(:,2));
z = [x1,y1];
[a1,a2] = poly2cw(z(:,1),z(:,2));
z = [a1,a2];

if (size(z,1) ~= 5)
    res = res *0;
else
    r1 = z(2:end,:) == bound(1:4,:);
    s1 = sum(sum(r1));
    
    if (s1 <8) 
        res = res*0;
    else
        res = res*1;
    end
end

end